Subject: [GIT PULL] iommu: Kill off pgsize_bitmap field from struct iommu_ops

From: [email-masked] (Will Deacon)
Date: Thu, 2 Apr 2015 09:58:23 +0100

On Wed, Apr 01, 2015 at 10:28:54PM +0100, joro at 8bytes.org wrote:
> On Wed, Apr 01, 2015 at 05:36:18PM +0100, Will Deacon wrote:
> > The issue (speaking in terms of the ARM SMMU, since that's what I'm familiar
> > with) is that we don't know the page sizes until we've chosen our
> > translation regime.
> 
> Can't you hard-code one regime in the driver and just don't use the
> others? Or might a SMMU only support a subset of the possible regimes?

Indeed, we can end up with systems that only support a subset of the
regimes. Different workloads may also benefit from different regimes due
to better TLB utilisation, but there's not currently a way to bias the page
table allocator away from the CPU page size.

Will